package com.cnblogs.seewood.jbpm.utils;

import org.jbpm.JbpmConfiguration;
import org.springframework.beans.factory.FactoryBean;

/**
 * JBPM配置Bean工厂
 * @author Daniel
 * @version $LastChangedRevision$
 */
public class JbpmConfigurationFactoryBean
		implements FactoryBean {
	private String xmlResource;

	@Override
	public Object getObject() throws Exception {
		return JbpmConfiguration.getInstance(xmlResource);
	}

	@Override
	@SuppressWarnings("unchecked")
	public Class getObjectType() {
		return JbpmConfiguration.class;
	}

	@Override
	public boolean isSingleton() {
		return false;
	}

	public String getXmlResource() {
		return xmlResource;
	}

	public void setXmlResource(String xmlResource) {
		this.xmlResource = xmlResource;
	}

}
